server {
  server_name crashtest crashtest.*;
  listen [::]:80;
  #listen [::]:443 ssl;

  error_log /var/log/nginx/error-crashtest.log error;
  access_log /var/log/nginx/access-crashtest.log;

  root /usr/share/perl5/CrashTest/files/public/;
  try_files $uri @crashtest;

  expires 15d;

  location @crashtest {
    expires off;
    proxy_pass http://127.0.0.1:3000;
    proxy_http_version 1.1;
    proxy_read_timeout 120s;
    proxy_set_header Host $host;
    proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
    proxy_set_header X-Forwarded-HTTPS 0;
  }

}

# vim:ft=nginx:
